| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Num::DistanceComparerSampledDataElement Class Reference

Distance comparer for point clouds where point type is SampledDataElement. More...

Inheritance diagram for IG::Num::DistanceComparerSampledDataElement:
[legend]
Collaboration diagram for IG::Num::DistanceComparerSampledDataElement:
[legend]

List of all members.

## Public Member Functions
| DistanceComparerSampledDataElement (PointContainerSampledDataElement referencePoint)
| Constructs a new training element comparer according to the distance to the reference point. Default methods for distance calculation is used.
| DistanceComparerSampledDataElement (PointContainerSampledDataElement referencePoint, DistanceDelegate< SampledDataElement > distanceFunction)
| Constructs a new comparer according to input distance to a reference poiont (type SampledDataElement).
| DistanceComparerSampledDataElement (PointContainerSampledDataElement referencePoint, DistanceDelegate< SampledDataElement > distanceFunction, IVector lengthScales)
| Constructs a new comparer according to input distance to a reference poiont (type SampledDataElement).
override void | GetPointCoordinates (SampledDataElement pt, ref IVector coord)
| Gets vector of coordinates of the specified point and stores it in the specified variable. Where the type of point object itself contains vector of coordinates, only reference is stored. The obtained vector should therefore not be modified in any way.

## Detailed Description

Distance comparer for point clouds where point type is SampledDataElement.

## Constructor & Destructor Documentation

IG::Num::DistanceComparerSampledDataElement::DistanceComparerSampledDataElement | ( | PointContainerSampledDataElement | referencePoint | ) | `[inline]`

Constructs a new training element comparer according to the distance to the reference point. Default methods for distance calculation is used.

Parameters:

  referencePoint | Reference points.

IG::Num::DistanceComparerSampledDataElement::DistanceComparerSampledDataElement | ( | PointContainerSampledDataElement | referencePoint,
|  | DistanceDelegate< SampledDataElement > | distanceFunction
| ) |  | `[inline]`

Constructs a new comparer according to input distance to a reference poiont (type SampledDataElement).

Parameters:

  referencePoint | Reference point. Training elements are compared by their distance to this point.
  distanceFunction | Delegate used for calculation of distance between two points.
  immutable | If true then a copy of the reference point is stored internally rather than just its reference, so it can not be changed.

IG::Num::DistanceComparerSampledDataElement::DistanceComparerSampledDataElement | ( | PointContainerSampledDataElement | referencePoint,
|  | DistanceDelegate< SampledDataElement > | distanceFunction,
|  | IVector | lengthScales
| ) |  | `[inline]`

Constructs a new comparer according to input distance to a reference poiont (type SampledDataElement).

Parameters:

  referencePoint | Reference point. Training elements are compared by their distance to this point.
  distanceFunction | Delegate used for calculation of distance between two points.
  lengthScales | Vector of legth scales that defines how different co-ordinates are scaled by when calculating distances (this applies to the default length calculation function, ).
  immutable | If true then a copy of the reference point is stored internally rather than just its reference, so it can not be changed.

## Member Function Documentation

override void IG::Num::DistanceComparerSampledDataElement::GetPointCoordinates | ( | SampledDataElement | pt,
|  | ref IVector | coord
| ) |  | `[inline]`

Gets vector of coordinates of the specified point and stores it in the specified variable. Where the type of point object itself contains vector of coordinates, only reference is stored. The obtained vector should therefore not be modified in any way.

Parameters:

  pt | Point for which vector of coordinates is obtained.
  coord | Vector variable where extracted vector of coordinates is stored.

The documentation for this class was generated from the following file:

- PointCloudSampledDataElement.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events